## HTTPClient
Class CIHashtableEnumeration

    java.lang.Object
      HTTPClient.CIHashtableEnumeration

All Implemented Interfaces:
  Enumeration

final class CIHashtableEnumeration
extends Object
implements Enumeration

A simple enumerator which delegates everything to the real enumerator. If a CIString element is returned, then the string it represents is returned instead.

Field Summary
`(package private) Enumeration` `HTEnum`

Constructor Summary
`CIHashtableEnumeration(Enumeration enum)`

Method Summary
`boolean` `hasMoreElements()`
`Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTEnum

    Enumeration HTEnum

Constructor Detail

### CIHashtableEnumeration

    public CIHashtableEnumeration(Enumeration enum)

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration`

### nextElement

    public Object nextElement()

  Specified by:
    `nextElement` in interface `Enumeration`